IPS Community Suite PHP代码注入漏洞

CVE编号

CVE-2016-6174

利用情况

暂无

补丁情况

N/A

披露时间

2016-07-13
漏洞描述
IPS Community Suite(又名Invision Power Board、IPB或Power Board)是美国Invision Power Services(IPS)公司的一套基于PHP和MySQL的Web论坛程序。该程序可方便地创建、管理在线论坛。

IPS Community Suite 4.1.12.3及之前的版本中存在PHP代码注入漏洞,该漏洞源于程序未能充分过滤‘content_class’请求参数。远程攻击者可利用该漏洞注入并执行任意PHP代码。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,详情请关注厂商主页:
https://invisionpower.com/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 invisioncommunity invision_power_board * Up to
(including)
4.1.12.3
运行在以下环境
应用 php php * Up to
(including)
5.4.23
运行在以下环境
应用 php php 5.5.0 -
运行在以下环境
应用 php php 5.5.1 -
运行在以下环境
应用 php php 5.5.2 -
运行在以下环境
应用 php php 5.5.3 -
运行在以下环境
应用 php php 5.5.4 -
运行在以下环境
应用 php php 5.5.5 -
运行在以下环境
应用 php php 5.5.6 -
运行在以下环境
应用 php php 5.5.7 -
CVSS3评分
8.1
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
NVD-CWE-noinfo
阿里云安全产品覆盖情况